
TypoScript Reference (TSref) - Bug # 52701

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:
Created: 2013-10-11 Assigned To: Francois Suter
Updated: 2013-11-07 Due date:
Subject: TypoScript: Application Context condition
Description

New condition (works in frontend and backend (page + userTS):

[applicationContext = Development/Debugging, Development/Profiling]  # matching exactly "Development/Debugging" or
"Development/Profiling" 
[global]
[applicationContext = Production*]  # matching any applicationContext with a rootContext of "Production",  # for example
"Production/Live" or "Production/Staging" 
[global]
[applicationContext = /^Production\/Staging\/Server\d+$/]  # matching "Production/Staging/Server1", "Production/Staging/Server2"   #
and so on
[global]

Related issues:
follows Core - Feature # 50132: TypoScript: Application Context condition Resolved 2013-07-17

Associated revisions
Revision e04f50a1 - 2013-11-07 13:51 - Francois Suter

[FEATURE] Application Context condition

Add documentation for the applicationContext condition.

Resolves: #52701
Releases: 6.2

Change-Id: Icde1d8acc03ba43e2eded68507c6d32154b8694f
Reviewed-on: https://review.typo3.org/25195
Reviewed-by: Francois Suter
Tested-by: Francois Suter

History
#1 - 2013-10-11 18:31 - Chris topher

works in frontend and backend (page + userTS)

Does not need documentation in TSconfig, because TSconfig only lists the differences compared to conditions in templates and for the rest just points
to TSref.

#2 - 2013-10-24 21:11 - Steffen Müller

2015-08-04 1/2

https://review.typo3.org/25195


see: https://github.com/TYPO3-Documentation/TYPO3CMS-Reference-Typoscript/pull/4

#3 - 2013-11-07 13:50 - Francois Suter
- Status changed from New to Accepted
- Assigned To set to Francois Suter

#4 - 2013-11-07 13:51 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.
It is available at https://review.typo3.org/25195

#5 - 2013-11-07 14:36 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e04f50a11dc8f9b106134f3797973f08a1d67659.
